=== debian/changelog ===
network-manager (1.30.6-1+deb11u1devuan1) chimaera-proposed-updates; urgency=medium

  * Merge debian/1.30.6-1+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Jun 2022 10:10:47 +0100

network-manager (1.30.6-1+deb11u1) bullseye; urgency=medium

  * Set debian-branch to debian/bullseye
  * Revert "supplicant: enable WPA3 for WPA-PSK connections"
    Enabling WPA3 automatically for key_mgmt=wpa-psk is a change in
    behaviour which might have unintended side effects and thus not suitable
    for a stable upload.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2022 15:47:28 +0100

network-manager (1.30.6-1) unstable; urgency=medium

  * New upstream version 1.30.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 09:56:57 +0200

network-manager (1.30.0-2+devuan1) unstable; urgency=medium

  * Merge debian/1.30.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Apr 2021 18:47:34 +0100

network-manager (1.30.0-1+devuan1) unstable; urgency=medium

  * Merge debian/1.30.0-1.
  * Refresh d/p/0001-Skip-invalid-machine-id-mismatch-test.patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Mar 2021 18:25:32 +0000

network-manager (1.28.0-2+devuan1) unstable; urgency=medium

  * Merge debian/1.28.0-2+devuan1.  Despite the upstream changelog, we
    still depend on logind so functionality is not broken.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 07 Jan 2021 10:49:15 +0000

network-manager (1.28.0-1+devuan2) unstable; urgency=medium

  * Rebuild for ppp 2.4.8-1+1

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Dec 2020 16:48:42 +0000

network-manager (1.28.0-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.28.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Dec 2020 10:54:47 +0000

network-manager (1.27.91-2+devuan1) unstable; urgency=medium

  * Merge Debian 1.27.91-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 26 Nov 2020 19:37:14 +0000

network-manager (1.27.91-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.27.91-1.
  * Refresh Devuan quilt patches.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 30 Oct 2020 13:22:52 +0000

network-manager (1.26.2-1+devuan1) unstable; urgency=medium

  * Merge debian/1.26.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 20 Aug 2020 15:48:32 +0100

network-manager (1.26.0-1+devuan1) unstable; urgency=medium

  * Merge Debian version 1.26.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 20 Jul 2020 17:03:01 +0100

network-manager (1.25.91-1+devuan1) unstable; urgency=medium

  * Fork for Devuan.
  * Reinstate init script.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 02 Jul 2020 22:22:42 +0100
