## network-manager 1.32.12

=== debian/changelog ===
network-manager (1.32.12-0ubuntu1) impish; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2021 17:07:29 +0200

network-manager (1.32.10-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Wed, 25 Aug 2021 16:10:58 +0200

network-manager (1.32.2-0ubuntu2) impish; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - restore the workaround for the systemd and lxd issue, it's still
      needed (lp: #1936312)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Jul 2021 16:45:08 +0200

network-manager (1.32.2-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/*.py:
    - update python formatting to be compatible with the checks
  * debian/patches/ubuntu_revert_systemd.patch:
    - remove, the issue was fixed in systemd
  * debian/patches/CVE-2021-20297.patch:
    - remove, the fix is in the new version
  * debian/libnm0.symbols
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2021 20:36:31 +0200

network-manager (1.30.0-1ubuntu4) impish; urgency=medium

  * d/t/nm.py: adapt to changes dnsmasq behavior (LP: #1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 02 Jul 2021 11:13:46 +0200

network-manager (1.30.0-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash via setting match.path
    - debian/patches/CVE-2021-20297.patch: fix match in
      src/core/nm-core-utils.c.
    - CVE-2021-20297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 06:56:47 -0400

network-manager (1.30.0-1ubuntu2) hirsute; urgency=medium

  * Configure with --enable-lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 11:48:39 +0200

network-manager (1.30.0-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - debian/patches/ubuntu_revert_systemd.patch:
      + temporarly revert an upstream commit that made udev enabled under lxc,
        the new systemd doesn't work there (lp: #1914062)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:30:59 +0100

network-manager (1.28.0-2ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - temporarly revert an upstream commit that made udev enabled under lxc,
      the new systemd doesn't work there (lp: #1914062)

  [ Lukas Märdian ]
  * debian/tests/network_test_base.py:
    Fix race when reading the MAC address of veth interfaces with new systemd

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2021 10:23:07 +0100

network-manager (1.28.0-2ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:

