=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,11 @@
 
 include /usr/share/dpkg/architecture.mk
 
-# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
-LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
-export LDFLAGS
-
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    BUILD_PACKAGES += -Nnetwork-manager
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYTHON=/usr/bin/python3
 
@@ -31,9 +29,10 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=no \
+		--with-nft=/usr/sbin/nft \
+		--with-iptables=/usr/sbin/iptables \
+		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
-		--with-iptables=/usr/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
 		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
 		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
@@ -73,13 +72,6 @@
 	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-	# copy powersave configuration
-	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
-	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
-
 override_dh_installinit:
 	dh_installinit --noscripts
 
@@ -87,13 +79,8 @@
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
 override_dh_installsystemd:
-	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service
+	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
 	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
 
 override_dh_ppp:
 	dh_ppp --breaks
-
-override_dh_auto_test:
-ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
-endif
