## network-manager 1.36.6

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2.3) jammy; urgency=medium

  [ Serge Hallyn ]
  * debian/tests/control: add apparmor to nm Depends (LP: #2142407)

  [ Mitchell Augustin ]
  * Show incorrect password re-entry prompt for WPA3 networks (LP: #2122458)

 -- Serge Hallyn <serge@hallyn.com>  Wed, 25 Feb 2026 19:54:22 -0600

network-manager (1.36.6-0ubuntu2.2) jammy; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500

network-manager (1.36.6-0ubuntu2.1) jammy; urgency=medium

  [ Danilo Egea Gondolfo ]
  * debian/patches/lp2032824 (LP: #2032824)
    Fix for VETHs pairs activation on startup.

  [ Jeremy Bicha ]
  * debian/watch: Watch for 1.36.x releases

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 11 Dec 2024 15:48:05 +0100

network-manager (1.36.6-0ubuntu2) jammy; urgency=medium

  * debian/patches/fix_addresses_order.patch:
    - platform: workaround for preserving IPv6 address order
      (lp: #1977619)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jun 2022 11:27:56 +0200

network-manager (1.36.6-0ubuntu1) jammy; urgency=medium

  * New stable version (lp: #1974428)
  * debian/gbp.conf: 
    - updated the packaging vcs serie
  * d/p/supplicant-add-BIP-interface-capability.patch,
    d/p/supplicant-enable-WPA3-transition-mode-only-when-interfac.patch:
    - remove, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 May 2022 13:08:51 +0200
