=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Restrictions: needs-root allow-stderr isolation-machine skippable
 
 Tests: nm.py
-Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant
+Depends: apparmor, python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant
 Restrictions: needs-root isolation-machine skippable
 
 Tests: killswitches-no-urfkill
