## network-manager 1.36.6-0ubuntu2%2B11.0trisquel2

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2+11.0trisquel2) aramo; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jul 2022 19:22:24 +0000
