## network-manager 1.36.6-0ubuntu2.2+11.0trisquel2

=== debian/changelog ===
network-manager (1.36.6-0ubuntu2.2+11.0trisquel2) aramo; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Jan 2026 00:51:52 +0000
